module.exports = {
  env: {
    browser: true,
    es2021: true
  },
  extends: ["plugin:react/recommended", "standard", "plugin:@typescript-eslint/recommended", "plugin:storybook/recommended"],
  parser: '@typescript-eslint/parser',
  parserOptions: {
    ecmaFeatures: {
      jsx: true
    },
    ecmaVersion: 'latest',
    sourceType: 'module'
  },
  plugins: ['react', '@typescript-eslint'],
  rules: {
    "semi": ["error", "always"],
    "space-before-function-paren": ["error", "never"],
    "comma-dangle": ["error", "only-multiline"]
  }
};